@import "config.css";

html { scroll-behavior: smooth;  }
body { 
  font-family: 'Raleway', sans-serif; margin: 0px; font-size: 15px; 
  background-color: var(--cl-gray-9); overflow-x: hidden; min-width: 360px;
}
p, h1, h2, h3, h4, h5, h6 { 
  margin: 0; padding: 0; font-size: inherit;
  font-weight: inherit; line-height: inherit; color: inherit;
}
a { text-decoration: none; color: inherit; }
*[onclick] { cursor: pointer; }

.bb_major_2 { border-bottom: 1px solid var(--cl-major-2); }

.bg_popup { background-color: rgba(0,0,0,0.8); }
.bg_white { background-color: #FFF; }

.fs_100 { font-size: 100px; }

.ff_raleway { font-family: 'Raleway', sans-serif; }
.ff_lora { font-family: 'Lora', serif; }

.h_100vh { height: 100vh; }
.w_max_1200 { max-width: 1200px; }
.w_max_500 { max-width: 500px; }
.w_max_600 { max-width: 600px; }
.w_300 { width: 300px; }
.w_600 { width: 600px; }

.mt_neg_60 { margin-top: -60px; }
.mt_neg_110 { margin-top: -110px; }
.mt_neg_240 { margin-top: -240px; }
.mt_neg_250 { margin-top: -250px; }
.mt_neg_260 { margin-top: -260px; }

.b_0 { border: none; }

.f_2 { flex: 2; }

a.on { text-decoration: underline; }

/* GALLERY */

.gallery .btn_prev { width: 50px; line-height: 50px; top: calc( 50% - 25px ); left: -25px; }
.gallery .btn_next { width: 50px; line-height: 50px; top: calc( 50% - 25px ); right: -25px; }
.gallery .slides { transition-duration: 0.5s; }
.gallery .slides img { transition-duration: 0.5s; border-radius: 20px; }
.gallery .bullets .bullet { color: var(--cl-major-2); }
.gallery .bullets .bullet.active { color: var(--cl-major-5); }

/* IMAGES */

.bg_img_logo_white { 
  background-image: url("../../asset/image/logo_white.png"); 
}

.bg_img_logo_dark { 
  background-image: url("../../asset/image/logo_dark.png"); 
}

.bg_img_popup { 
  background-image: 
    linear-gradient(rgba(244, 240, 236, 0.95), rgba(244, 240, 236, 0.95)),
    url("../../asset/image/index.jpg");
}

.bg_img_index { 
  background-image: 
    linear-gradient(to bottom, var(--cl-major-4), rgba(0, 0, 0, 0) 300px),
    linear-gradient(to bottom, var(--cl-major-4), rgba(0, 0, 0, 0) 200px),
    url("../../asset/image/index.jpg");
}

.bg_img_pricelist { 
  background-image: 
    linear-gradient(to top, var(--cl-major-4), rgba(0, 0, 0, 0) 300px),
    linear-gradient(to top, var(--cl-major-4), rgba(0, 0, 0, 0) 200px),
    linear-gradient(rgba(60, 77, 51, 0.8), rgba(60, 77, 51, 0.8)),
    url("../../asset/image/pricelist.jpg");
}

.bg_img_location { 
  background-image: 
    linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)),
    url("../../asset/image/location.jpg");
}

.bg_arrow { 
  background-image: url("../../base/image/arrow.png");
  background-repeat: no-repeat;
}

/* RESPONSIVE */

@media (max-width: 1024px) {
  .gallery { overflow: hidden; }
  .gallery img { max-height: 250px; }
  .gallery .btn_prev { left: 25px; }
  .gallery .btn_next { right: 25px; }

  .bg_arrow { background-image: none !important; text-align: center ; }

  .m1024_d_b { display: block !important; }
  .m1024_d_n { display: none !important; }
  .m1024_mb_0 { margin-bottom: 0px !important; }
  .m1024_mb_20 { margin-bottom: 20px !important; }
  .m1024_mb_40 { margin-bottom: 40px !important; }
  .m1024_mt_0 { margin-top: 0px !important; }
  .m1024_mt_20 { margin-top: 20px !important; }
  .m1024_mt_40 { margin-top: 40px !important; }
  .m1024_h_100 { height: 100px; }
  .m1024_h_200 { height: 200px; }
  .m1024_h_300 { height: 300px; }
  .m1024_lh_20 { line-height: 20px !important; }
  .m1024_lh_40 { line-height: 40px !important; }
  .m1024_ml_20 { margin-left: 20px !important; }
  .m1024_mr_20 { margin-right: 20px !important; }
  .m1024_ml_40 { margin-left: 40px !important; }
  .m1024_mr_40 { margin-right: 40px !important; }
  .m1024_pt_0 { padding-top: 0px !important; }
  .m1024_pt_20 { padding-top: 20px !important; }
  .m1024_pt_60 { padding-top: 60px !important; }
  .m1024_pt_80 { padding-top: 80px !important; }

  .m1024_p_20 { padding: 20px !important; }

  .m1024_f_1 { flex: 1 !important; }

  .m1024_mt_neg_140 { margin-top: -140px; }

  .m1024_w_max_90perc { max-width: 90%; }
}